/*
 * rmsg.h -- common definitions for server and client
 *
 * $Header: rmsg.h,v 1.63 88/08/20 18:11:59 t33876w Exp $
 *
 * Author: Jyrki Kuoppala (jkp@hutcs.hut.fi)
 *
 * Copyright 1988 by Helsinki University of Technology, Nixula
 *
 * Created: Sun Apr 10 16:17:08 1988
 * Last modified: Sat Aug 20 16:43:03 1988
 */

#if defined(USG5) || defined(SVR4)
# define index strchr
# define rindex strrchr
# define bzero(p, c) memset(p,(char) 0,c)
#endif /* USG5 || SVR4 */
#if defined(USG5)
typedef unsigned short uid_t;
typedef unsigned short gid_t;
#endif /* USG5 */

#if 0 /* Not needed when   #include <sys/types.h>  is used. */
#ifdef SUNOS 
typedef unsigned short uid_t;
typedef unsigned short gid_t;
#endif
#endif

#define CONFIGFILE ".msgconf"

/* for parseheader in misc.c */
#define SECURE 1
#define ADD_CR 2

#define LINE_LEN 300
#define MAX_ARGV 512

#define ERR_NOTON 2
#define ERR_REFUSING 1
#define ERR_UNKNOWN 3
/* Unknown user */
#define ERR_UNK_USER 4

#define PATHLEN 1024
#define LINELEN 1024

#define UTMP "/etc/utmp"
#define UTMP_TTY_SIZE 8
#define UTMP_NAME_SIZE 8

struct command {
     char *token;               /* Command name, e.g. msglast */
     int (*function)();         /* Function which it is supposed to run */
};

struct ali {
     char *map;
     char *to;
     struct ali *next;
};

struct on_ttys {
     char tty[UTMP_TTY_SIZE+6];         /* Space for /dev/ */
     struct on_ttys *next;
};

int f_deny(), f_alias(), f_header(), f_inlast(), f_inappend();
int f_exec(), f_outlast(), f_outlog(), f_outheader(), f_away();
#ifdef BITNET
int f_bitnetserver();
#define BITNETPOSTFIX "bitnet"
#endif
int f_single();
